Investors, warrants & staking
Get Available Staking Balance
Computes how many tokens of a grant the caller can still stake, honouring vesting, lockups and grace period.
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-available-staking-balance?grantID=%3CgrantID%3E' \
--header 'Authorization: Bearer <token>'{
"availableBalance": "string",
"vestedAmount": "string",
"unvestedAmount": "string",
"lockedAmount": "string",
"unlockedAmount": "string",
"isLocked": true,
"stakeableAmount": "string",
"maxStakePercentage": "string",
"alreadyStaked": "string",
"enabledStakingTypes": [
"VESTED_LOCKED_TOKENS"
],
"typeAmounts": {
"VESTED_LOCKED_TOKENS": "string",
"UNVESTED_LOCKED_TOKENS": "string",
"UNVESTED_UNLOCKED_TOKENS": "string"
},
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
grantIDstring<uuid>requiredResponse
200Successful response
availableBalancestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
vestedAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
unvestedAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
lockedAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
unlockedAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
isLockedbooleanrequiredstakeableAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
maxStakePercentagestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
alreadyStakedstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
enabledStakingTypesstring[]requiredtypeAmountsobjectrequiredShow child attributes
VESTED_LOCKED_TOKENSstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
UNVESTED_LOCKED_TOKENSstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
UNVESTED_UNLOCKED_TOKENSstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
messagestringrequired